Name:           perl-ExtUtils-Install
Version:        2.20
Release:        1%{?dist}
Summary:        Install Perl files from here to there
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/ExtUtils-Install
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/ExtUtils-Install-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(lib)
BuildRequires:  perl(strict)
# Run-time:
BuildRequires:  perl(AutoSplit)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
# Data::Dumper not used at tests
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Compare)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
# POSIX is optional
# VMS::Filespec not used
# Win32API::File not used
# Tests:
# ExtUtils::CBuilder not used
BuildRequires:  perl(ExtUtils::MM)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Test::More)
# Unbundled tests:
# Test::Builder not used
# Optional tests:
# Test::Pod 1.14 not used
# Test::Pod::Coverage 1.08 not used
# Pod::Coverage 0.17 not used
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(AutoSplit)
Requires:       perl(Data::Dumper)
Requires:       perl(File::Compare)
Recommends:     perl(POSIX)
 
%{?perl_default_filter}
 
%description
Handles the installing and uninstalling of Perl modules, scripts, manual
pages, etc.
 
%prep
%setup -q -n ExtUtils-Install-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}
 
%install
%{make_install}
%{_fixperms} %{buildroot}
 
%check
unset AUTHOR_TESTING PERL_CORE
make test
 
%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
 
%changelog
* Wed Apr 20 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 2.20-1
- Init from upstream version 2.20

